.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.5);
    visibility: hidden;
    opacity: 0;
    transition: all 0.3s ease-in-out;
  }
  .modal-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 20px;
  }
  .modal-header h2 {
    margin-top: 0;
  }
  .modal-footer {
    text-align: right;
  }
  .modal:target {
    visibility: visible;
    opacity: 1;
  }